OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000070OMNeT++IDE / sequence chartpublic2009-05-30 09:532009-06-09 13:59
Reporterandras 
Assigned Tolevy 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.1 
Summary0000070: Messages sent/scheduled from method calls are visualized incorrectly
DescriptionWhen module A calls a method in module B, and the method schedules a self-message, the message is visualized as if it was sent from module A to B, and not as a self-message within B. Similar thing happens when B sends a message from the method (arrow starts at module A, not at B).

Visualization should be modified to make clearer what actually goes on: some special arrow should depict the method call from A to B, and the message should be visualized as a self-message of B (arched arrow).
Steps To ReproduceCreate a network with 2 modules.
Module B contains:
  void method() {
      Enter_Method_Silent();
      scheduleAt(simTime()+1, new cMessage("timer"));
  }
Module A contains:
  void handleMessage(cMessage *msg) {
      ModuleB *modB = ...;
      modB->method();
  }
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000153)
levy (developer)
2009-06-08 13:20

To avoid confusion the method call arrow should not point to an event marker at the callee's axis, because there is no such event. Rather it should just simply point to the axis and other arrows should simply start from that point.
(0000154)
levy (developer)
2009-06-09 13:59

Implemented as in the error's description.

- Issue History
Date Modified Username Field Change
2009-05-30 09:53 andras New Issue
2009-06-08 11:04 levy Assigned To => levy
2009-06-08 13:20 levy Note Added: 0000153
2009-06-09 13:59 levy Note Added: 0000154
2009-06-09 13:59 levy Status new => resolved
2009-06-09 13:59 levy Fixed in Version => 4.1
2009-06-09 13:59 levy Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker